import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ImageConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly keepLocally?: boolean;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly pullTrigger?: string;
    /**
     *
     */
    readonly pullTriggers?: string[];
}
/**
 *
 */
export declare class Image extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ImageConfig);
    /**
     *
     */
    get id(): string;
    private _keepLocally?;
    /**
     *
     */
    get keepLocally(): boolean;
    /**
     *
     */
    set keepLocally(value: boolean);
    /**
     *
     */
    resetKeepLocally(): void;
    /**
     *
     */
    get keepLocallyInput(): boolean | undefined;
    /**
     *
     */
    get latest(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get nameInput(): string;
    private _pullTrigger?;
    /**
     *
     */
    get pullTrigger(): string;
    /**
     *
     */
    set pullTrigger(value: string);
    /**
     *
     */
    resetPullTrigger(): void;
    /**
     *
     */
    get pullTriggerInput(): string | undefined;
    private _pullTriggers?;
    /**
     *
     */
    get pullTriggers(): string[];
    /**
     *
     */
    set pullTriggers(value: string[]);
    /**
     *
     */
    resetPullTriggers(): void;
    /**
     *
     */
    get pullTriggersInput(): string[] | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
